import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import { Area } from '@antv/g2plot';
import { defineComponent, h } from 'vue-demi';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var AreaChart = defineComponent({
  name: 'AreaChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Area
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});

/* istanbul ignore next */
AreaChart.install = function (app) {
  app.component('AreaChart', AreaChart);
};
export default AreaChart;