import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import { defineComponent, h } from 'vue-demi';
import { DualAxes } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var DualAxesChart = defineComponent({
  name: 'DualAxesChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": DualAxes
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});

/* istanbul ignore next */
DualAxesChart.install = function (app) {
  app.component('DualAxesChart', DualAxesChart);
};
export default DualAxesChart;