import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import { defineComponent, h } from 'vue-demi';
import { Progress } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var ProgressChart = defineComponent({
  name: 'ProgressChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Progress
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});

/* istanbul ignore next */
ProgressChart.install = function (app) {
  app.component('ProgressChart', ProgressChart);
};
export default ProgressChart;