"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mergeAttrs = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/objectSpread2"));
var _vueDemi = require("vue-demi");
/**
 * compatible merge attrs
 * @param props props
 * @param attrs attrs
 * @returns merged attrs
 */
var mergeAttrs = exports.mergeAttrs = function mergeAttrs(props, attrs) {
  /* istanbul ignore else */
  if (_vueDemi.isVue3) {
    return (0, _objectSpread2.default)((0, _objectSpread2.default)({}, attrs), props);
  } else {
    return {
      attrs: (0, _objectSpread2.default)((0, _objectSpread2.default)({}, attrs), props)
    };
  }
};